using UnityEngine;
using System.Collections;

public class WalkGuide : MonoBehaviour
{
    public float correctionAmount;
    public bool isTriggered;
    
    void OnTriggerEnter(Collider other)
    {
        isTriggered = true;
    }

    void OnTriggerExit(Collider other)
    {
        isTriggered = false;
    }
    
    public float GetCorrection()
    {
        return isTriggered ? correctionAmount : 0f;
    }
}
